Delete Service Mesh

Delete Service Mesh
Delete a service mesh.

Delete a service mesh.

Request
URI
DELETE
https://{server}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}
COPY
Path Parameters
string
serviceMeshId
Required

Service mesh ID

Query Parameters
string
force
Optional
Constraints: default: false

force delete query param


Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns serviceMeshPostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "serviceMeshId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

422

Unprocessable Entity

Returns serviceMeshPostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "serviceMeshId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}